%define name dhcp
%define their_version 3.0.1
%define url  ftp://ftp.isc.org/isc/dhcp
%define _catdir /var/cache/man

Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) server/relay agent/client
Name:		dhcp
Epoch:		2
Version:	3.0.1
Release:	5mdk
License:	Distributable
Group:		System/Servers
Url:		http://www.isc.org/dhcp.html

Source0:	ftp://ftp.isc.org/isc/%{name}/%{name}-%{their_version}.tar.gz
Source1:	dhcpd.conf.sample
Source2:	dhcpd.init
Source3:	dhcp-dynamic-dns-examples.tar.bz2
Source4:	dhcrelay.init
Source5:	update_dhcp.pl
Source6:	dhcpreport.pl
Source7:	ftp://ftp.isc.org/isc/%{name}/%{name}-%{their_version}.tar.gz.asc
Patch1:		%{name}-3.0.1-ifup.patch.bz2
#http://home.ntelos.net/%7Emasneyb/dhcp-3.0.1rc14-ldap-patch
Patch2:		%{name}-3.0.1rc14-ldap-patch.bz2

BuildRequires:	perl groff-for-man openldap-devel
Prereq:		rpm-helper
Requires:	/bin/sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	dhcpd
Obsoletes:	dhcpd

%description 
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows 
individual devices on an IP network to get their own network configuration
information (IP address, subnetmask, broadcast address, etc.) from a DHCP
server. The overall purpose of DHCP is to make it easier to administer a 
large network. The dhcp package includes the DHCP server and a DHCP relay
agent. You will also need to install the dhcp-client or dhcpcd package,
or pump or dhcpxd, which provides the DHCP client daemon, on client machines.

If you want the DHCP server and/or relay, you will also need to install the
dhcp-server and/or dhcp-relay packages.

%package	common
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) server
Group:		System/Servers
%define _requires_exceptions perl(Win32API::Registry)


%description	common
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows 
individual devices on an IP network to get their own network 
configuration information (IP address, subnetmask, broadcast address, 
etc.) from a DHCP server.  The overall purpose of DHCP is to make it 
easier to administer a large network.  The dhcp package includes the 
DHCP server and a DHCP relay agent.

You will also need to install the dhcp-client or dhcpcd package, or pump or
dhcpxd, which provides the DHCP client daemon, on  client machines. If you
want the DHCP server and/or relay, you will also need to install the
dhcp-server and/or dhcp-relay packages.

%package	server
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) server
Group:		System/Servers
Requires:	dhcp-common = %epoch:%version-%release, /bin/sh
Prereq:		rpm-helper
Obsoletes:	dhcp

%description	server
DHCP server is the Internet Software Consortium (ISC) DHCP server for various
UNIX operating systems. It allows a UNIX mac hine to serve DHCP requests from
the network.

You should install dhcp-server if you want to set up a DHCP server on your
network. You will also need to install the base dhcp package.


%package	client
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) client
Group:		System/Servers
Requires:	dhcp-common = %epoch:%version-%release, /bin/sh

%description	client
DHCP client is the Internet Software Consortium (ISC) DHCP client for various
UNIX operating systems.  It allows a UNIX mac hine to obtain it's networking
parameters from a DHCP server.

You should install dhcp-client if you want to use the ISC DHCP client instead
of the Red Hat DHCP client, pump, or dhcpcd, or dhcpxd. You will also need to
install the base dhcp package.


%package	relay
Summary:	The ISC DHCP (Dynamic Host Configuration Protocol) relay
Group:		System/Servers
Requires:	dhcp-common = %epoch:%version-%release /bin/sh
Prereq:		rpm-helper

%description	relay
DHCP relay is the Internet Software Consortium (ISC) relay agent for DHCP
packets. It is used on a subnet with DHCP clients to "relay" their requests
to a subnet that has a DHCP server on it. Because DHCP packets can be
broadcast, they will not be routed off of the local subnet. The DHCP relay
takes care of this for the client. You will need to set the environment
variable SERVERS and optionally OPTIONS in /etc/sysconfig/dhcrelay before
starting the server.

%package	devel
Summary:	Development headers and libraries for the dhcpctl API
Group:		Development/Other
Requires:	dhcp-common = %{epoch}:%version-%release

%description	devel
DHCP devel contains all of the libraries and headers for developing with th
Internet Software Consortium (ISC) dhcpctl API.

%prep
%setup -q -a 3 -n %{name}-%{their_version}
%patch1 -p1 -b .ifup
%patch2 -p1 -b .dhcp-ldap

cat << EOF >site.conf
VARDB=%{_localstatedir}/dhcp
LIBDIR=%{_libdir}
INCDIR=%{_includedir}
ADMMANDIR=%{_mandir}/man8
FFMANDIR=%{_mandir}/man5
LIBMANDIR=%{_mandir}/man3
USRMANDIR=%{_mandir}/man1
EOF
cat << EOF >>includes/site.h
#define _PATH_DHCPD_DB		"%{_localstatedir}/dhcp/dhcpd.leases"
#define _PATH_DHCLIENT_DB	"%{_localstatedir}/dhcp/dhclient.leases"
EOF

%build
echo 'int main() { return sizeof(void *) != 8; }' | gcc -xc - -o is_ptr64
./is_ptr64 && PTR64_FLAGS="-DPTRSIZE_64BIT"

./configure --copts "$RPM_OPT_FLAGS $PTR64_FLAGS"

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/dhcp
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_localstatedir}/dhcp/dhcpd.leases
touch $RPM_BUILD_ROOT%{_localstatedir}/dhcp/dhclient.leases
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/dhcpd
install -m 0755 %SOURCE4 $RPM_BUILD_ROOT%{_initrddir}/dhcrelay
install -m 0755 %SOURCE5 $RPM_BUILD_ROOT%{_sbindir}/
install -m 0755 %SOURCE6 $RPM_BUILD_ROOT%{_sbindir}/
mkdir -p %{buildroot}/%{_sysconfdir}/sysconfig

cat > $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dhcpd <<EOF
# You can set here various option for dhcpd

# Which configuration file to use.
# CONFIGFILE="/etc/dhcpd.conf"

# Where to store the lease state information.
# LEASEFILE="/var/lib/dhcp/dhcpd.leases"

# Define INTERFACES to limit which network interfaces dhcpd listens on.
# The default null value causes dhcpd to listen on all interfaces.
#INTERFACES=""

# Define OPTIONS with any other options to pass to the dhcpd server.
# See dhcpd(8) for available options and syntax.
OPTIONS="-q"

EOF

touch $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dhcrelay
find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;
rm -rf $RPM_BUILD_DIR/%{name}-%{their_version}/doc/ja_JP.eucJP

# remove empty files
find $RPM_BUILD_DIR/%{name}-%{their_version} -size 0 |grep ldap | xargs rm -rf 

%post server
%_post_service dhcpd
# New dhcpd lease file
if [ ! -f %{_localstatedir}/dhcp/dhcpd.leases ]; then
    touch %{_localstatedir}/dhcp/dhcpd.leases
fi

if [ $1 = 0 ]; then
	%{_initrddir}/dhcpd start
fi

#update an eventual installed dhcp-2* server
if [ -f %{_sysconfdir}/dhcpd.conf ]; then
	perl %{_sbindir}/update_dhcp.pl
fi

%preun server
%_preun_service dhcpd

%postun server
if [ "$1" -ge "1" ]; then
            /sbin/service dhcpd condrestart >/dev/null 2>&1  
fi

%post relay
%_post_service dhcrelay

%preun relay
%_preun_service dhcrelay

%postun relay
if [ "$1" -ge "1" ]; then
            /sbin/service dhcrelay condrestart >/dev/null 2>&1
fi
		 
%post client
touch /var/lib/dhcp/dhclient.leases

%postun client
rm -rf /var/lib/dhcp/dhclient.leases

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-,root,root)
%doc  README README.ldap RELNOTES
%doc  doc contrib
%dir  %{_localstatedir}/dhcp
%{_mandir}/man5/dhcp-options.5*

%files server
%defattr(-,root,root)
%doc server/dhcpd.conf 
%config(noreplace) %{_initrddir}/dhcpd
%config(noreplace) %{_sysconfdir}/dhcpd.conf.sample
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd
%{_sbindir}/dhcpd
%{_sbindir}/update_dhcp.pl
%{_sbindir}/dhcpreport.pl
%{_bindir}/omshell
%{_mandir}/man1/omshell.1*
%{_mandir}/man3/omapi.3*
%{_mandir}/man5/dhcpd.conf.5*
%{_mandir}/man5/dhcpd.leases.5*
%{_mandir}/man5/dhcp-eval.5*
%{_mandir}/man8/dhcpd.8*
%config(noreplace) %ghost %{_localstatedir}/dhcp/dhcpd.leases

%files relay
%defattr(-,root,root)
%{_sbindir}/dhcrelay
%{_mandir}/man8/dhcrelay.8*
%config(noreplace) %{_initrddir}/dhcrelay
%config(noreplace) %{_sysconfdir}/sysconfig/dhcrelay

%files client
%defattr(-,root,root)
%doc client/dhclient.conf
%attr (0755,root,root) /sbin/dhclient-script
/sbin/dhclient
%{_mandir}/man5/dhclient.conf.5*
%{_mandir}/man5/dhclient.leases.5*
%{_mandir}/man8/dhclient.8*
%{_mandir}/man8/dhclient-script.8*
%config(noreplace) %ghost %{_localstatedir}/dhcp/dhclient.leases

%files devel
%defattr(-,root,root)
%{_mandir}/man3/*
%{_libdir}/*
%{_includedir}/*

%changelog
* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-5mdk
- by default hostname is set

* Fri Jul 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-4mdk
- assign default gateway by interface (updated patch1)

* Thu Jul 29 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-3mdk
- only change the hostname if NEEDHOSTNAME=yes (updated patch1)

* Wed Jul 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3.0.1-2mdk
- update ldap patch

* Wed Jul 28 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.0.1-1mdk
- 3.0.1

* Wed Jun 30 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc14.2mdk
- bring back the ldap patch and buildrequires

* Mon Jun 28 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc14.1mdk
- rebuild for cooker

* Mon Jun 21 2004 Vincent Danen <vdanen@mandrakesoft.com> 3.0-1.rc14.0.1.100mdk
- 3.0.1rc14
- security fixes for CAN-2004-0460 (VU#317350) and CAN-2004-0461 (VU#654390)

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.0-1.rc13.6mdk
- fix buildrequires

* Fri Apr 23 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc13.5mdk
- add the dhcp-ldap support

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.0-1.rc13.4mdk
- Fix DEP
- beautify dhcpd.conf.sample
- update init-script

* Mon Feb 23 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc13.3mdk
- add %epoch: in requires 

* Mon Feb 16 2004 Florin <florin@mandrakesoft.com>  3.0-1.rc13.2mdk
- move the dhcp-options man page in the common package
- remove the ja_JP.eucJP redundant directory 

* Wed Feb 11 2004 Florin <florin@mandrakesoft.com> 3.0-1.rc13.1mdk
- 3.0.1rc13
- remove the no longer existing ANONCVS, CHANGES, COPYRIGHT files

* Mon Sep 22 2003 Florin <florin@mandrakesoft.com> 3.0-1.rc12.3mdk
- real rc12

* Thu Sep 04 2003 Florin <florin@mandrakesoft.com> 3.0-1.rc12.2mdk
- fix the postun script

* Mon Sep 01 2003 Florin <florin@mandrakesoft.com> 3.0-1.rc12.1mdk
- 3.0.1rc12

* Thu Aug 21 2003 Florin <florin@mandrakesoft.com> 3.0-1rc11.1mdk
- 3.0.1rc11 instead of 3.0-2pl2 fixes some pxe related prbs

* Wed Aug 20 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0-2pl2.7mdk
- 64-bit & lib64 fixes

* Thu Jul 31 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.0-2pl2.6mdk
- rebuild

* Fri Mar  7 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.0-2pl2.5mdk
- corrected creation of resolv.conf when there is only a nameserver
without a domainname.

* Mon Mar  3 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.0-2pl2.4mdk
- corrected NEEDHOSTNAME test

* Mon Jan 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.0-2pl2.3mdk
- apply patch2 on the right file and merge it in patch1

* Mon Jan 20 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0-2pl2.2mdk
- Call /sbin/update-resolvrd if present.

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 3.0-2pl2.1mdk
- 3.0pl2
- remove the cat files
- silly version name, if you ask me ;o) (an ancient typo)
- better use of macros names

* Thu Jan 16 2003 Frederic Lepied <flepied@mandrakesoft.com> 3.0-1rc10.4mdk
- handle NEEDHOSTNAME in dhclient-script 

* Tue Nov 19 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.0-1rc10.3mdk
- make dhclient-script silent when pinging (when dhcp server is down)

* Tue Nov 19 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1rc10.2mdk
- corrected dhclient-script to conform to the initscripts

* Fri Nov 08 2002 Florin <florin@mandrakesoft.com> 3.0.1rc10.1mdk
- 3.0.1rc10
- add the asc file and keep the sources in gz format

* Wed Nov 06 2002 Florin <florin@mandrakesoft.com> 3.01rc9.3mdk
- fix the leases path (thx to A.Duclos)

* Wed Sep 18 2002 Florin <florin@mandrakesoft.com> 3.01rc9.2mdk
- update the dhcpd.conf.sample (thx to a. delorbeau)

* Sun Jun 09 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 3.01rc9.1mdk
- 3.0.1rc9

* Fri Mar 08 2002 Florin <florin@mandrakesoft.com> 3.01rc8.1mdkmdk
- 3.0.1rc8

* Wed Feb 20 2002 Florin <florin@mandrakesoft.com> 3.01rc7.1mdk
- 3.0.1rc7

* Sat Jan 19 2002 Davud BAUDENS <bauudens@mandrakesoft.com> 3.0.1rc6.2mdk
- Fix Group: for devel package
- Use human readable descriptions
- Requires: %%version-%%release and not only %%version

* Fri Jan 18 2002 Florin <florin@mandrakesoft.com> 3.0.1rc6.1mdk
- 3.0.1rc6
- add the omapi man pages
- remove the laziness weird line

* Tue Jan 15 2002 Florin <florin@mandrakesoft.com> 3.0.1rc5.1mdk
- 3.0.1rc5

* Tue Nov 06 2001 Florin <florin@mandrakesoft.com> 3.0-1rc4.1mdk
- 3.0.1rc4

* Mon Nov 05 2001 Florin <florin@mandrakesoft.com> 3.0-1rc3.1mdk
- 3.0.1rc3

* Wed Oct 31 2001 Florin <florin@mandrakesoft.com> 3.0-1rc2.1mdk
- 3.0.1rc2

* Thu Oct 25 2001 Florin <florin@mandrakesoft.com> 3.0-1.rc1.2mdk
- add the dhcpreport.pl script

* Wed Oct 17 2001 Florin <florin@mandrakesoft.com> 3.0-1.rc1.1mdk
- 3.0.1rc1
- fix the doc permissions
- add the %_preun/post_service macros

* Fri Oct 05 2001 Florin <florin@mandrakesoft.com> 3.0-1mdk
- 3.0
- add the cat pages 
- add the touch command in post section of dhcp-client

* Fri Aug 24 2001 Florin <florin@mandrakesoft.com> 3.0-0.rc12.1mdk
- 3.0rc12

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 3.0-0.rc11.1mdk
- 3.0rc11

* Fri Aug 10 2001 Florin <florin@mandrakesoft.com> 3.0-0.rc10.3mdk
- requires /bin/sh

* Tue Jul 17 2001 Florin <florin@mandrakesoft.com> 3.0-0.rc10.2mdk
- test if /etc/dhcpd.conf exists before the update_dhcp script in post

* Mon Jul 02 2001 Florin <florin@mandrakesoft.com> 3.0-0.rc10.1mdk
- 3.0rc10

* Wed Jun 27 2001 Florin <florin@mandrakesoft.com> 3.0-0.rc8pl2.1mdk
- real working example files (the same ones from the bind package)
- 3.0rc8pl2

* Tue Jun 26 2001 Florin Grad <florin@mandrakesoft.com> 3.0-0.rc8pl1.1mdk
- 3.0.rc8pl1
- update the examples files in relation with bind 

* Wed Jun 13 2001 Florin Grad <florin@mandrakesoft.com> 3.0-0.rc8.2mdk
- a better update_dhcp.pl script

* Mon Jun 11 2001 Florin Grad <florin@mandrakesoft.com> 3.0-0.rc8.1mdk
- 3.0rc8
- modify patches
- put dhclient-script in /sbin
- add the update_dhcp.pl script

* Thu May 31 2001 Florin Grad <florin@mandrakesoft.com> 3.0rc7-2mdk
- merge with redhat packages recommended by isc
- so we now have 5 packages: dhcp, dhcp-server, dhcp-relay, dhcp-client, dhcp-devel

* Sun May 27 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0rc7-1mdk
- 3.0rc7

* Tue Mar 27 2001 Florin Grad <florin@mandrakesoft.com> 3.0b2pl23-1mdk
- pl23

* Wed Feb 28 2001 Florin Grad <florin@mandrakesoft.com> 3.0b2pl18-1mdk
- pl18
- update the mdkpathcorrect patch

* Mon Dec 04 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl11-1mdk
- pl11

* Fri Nov 17 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-6mdk
- chkconfig is now set to 345

* Fri Nov 17 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-5mdk
- add dynamic dns config file example

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-4mdk
- minor fixes in the spec files

* Mon Nov 06 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-3mdk
- fix some errors in the initscripts

* Tue Oct 17 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-2mdk
- modify the init script not to depend on linuxconf (thanks to A.Skwar) 

* Tue Oct 17 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl9-1mdk
- 3.0b2pl9

* Sun Oct 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0b2pl8-1mdk
- new patch level version.

* Thu Oct  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0b2pl2-7mdk
- fixes initscript (s/return/exit)

* Thu Sep 28 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-6mdk
- /etc/dhcpd.conf.sample instead of /etc/dhcpd.conf

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-5mdk
- modify dhcpd.init

* Wed Sep 27 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-4mdk
- make a copy of the *doc*/dhcpd.conf.sample file to /etc/dhcpd.conf

* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0b2pl2-3mdk
- chkconfig --del has to be done in %preun not %postun !!

* Tue Sep 07 2000 Florin Grad <florin@mandrakesoft.com> 3.0b2pl2-2mdk
- adding noreplace in the config section 

* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0b2pl2-1mdk
- new and shiny dhcp.

* Tue Aug 30 2000 Florin Grad <florin@mandrakesoft.com> 3.0b1pl17-6mdk
- recompile because of some modif on rpm

* Tue Aug 29 2000 Florin Grad <florin@mandrakesoft.com> 3.0b1pl17-5mdk
- updating the macros

* Mon Jul 24 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-4mdk
- Really fixed this update script

* Mon Jul 24 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-3mdk
- Fix a little typo error in upgrade script

* Fri Jul 21 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-2mdk
- Remove older patch remade clean one
- corrected init file (no more error for config without linux-conf)
- Now, full FHS compliant, with leases in /var/lib/dhcpd

* Fri Jul 21 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl17-1mdk
- Up to 3.0b1pl17
- Slipt in 3 packages, new one for relay.
- Correct man file path
- Clean spec file (use macro)

* Sat Jul  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0b1pl15-1mdk
- Fix %doc.
- 3.0b1pl15.

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0b1pl12-6mdk
- Correct patches.

* Wed Jun 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0b1pl12-5mdk
- Add security patch.
- Clan upmacros spec file.

* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl12-4mdk
- Made init script at config file

* Fri Mar 24 2000 - Jean-Michel Dault <jmdault@mandrakesoft.com> 3.0b1pl12-3mdk
- modified init script so it binds to the correct interface. It reads
  /etc/conf.linuxconf to do it.

* Tue Mar 21 2000 - Vincent Saugey <vince@mandrakesoft.com> 3.0b1pl12-2mdk
- correct group

* Mon Dec 06 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix build as user
- Add "%%define prefix /usr"
- Replace /%%{prefix} by  %%{prefix}

* Mon Dec 01 1999 Philippe Libat <philippe@mandrakesoft.com>
- Subpackages dhcp-client
- Upgrade of patch.
- Change dhcpd.leases directory

* Mon Jul 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Prefixing the package.
- Upgrade of patch.
- 3.0b1pl0.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
